having some issues installing openaps on an older rpi

49 views
Skip to first unread message

snuggl...@gmail.com

unread,
Nov 27, 2023, 7:41:10 PM11/27/23
to OpenAPS Dev
Hi guys - long time openaps user here, however i just replaced an sd card on my main OAPS rig which uses and RPi Zero W.

Keep hitting a brick wall with installing and configuring the OS and I can't help but wonder if the versions of Raspbian on the imager tool are not exactly the same as the one being used on the rpi instructional in the docs.

That aside the specific error that I'm getting hit with is:

E: Package 'python pip' has no installation candidate

Keeps trying to direct me to python3-pip as a replacement which i have indeed installed but I think the script is looking for specific versions and it just won't go.

SO - How do I fix this or where can I get an image of raspbian that will work properly with my older zero w.

I have scoured google and tried multiple general fixes for this issue as it is fairly widespread in some circles but none of the fixes have worked thus far.

Thanks for any help you can provide.

Mike Stebbins

unread,
Nov 29, 2023, 11:19:45 PM11/29/23
to OpenAPS Dev
I was able to get a Raspi Zero built from scratch this summer. It took a lot of trial and error and time spent on Gitter. I took down the following notes in the end, in case I needed to do it again. It's been so long (and I'm not a software developer), so I don't know that I can provide much more than what I jotted down here, but maybe what you need is included.


Good luck!
Mike Stebbins
Reply all
Reply to author
Forward
0 new messages